<ion-content>
  <h3>Resumen</h3>

  <ion-card>
    <p>
      <img
        src="assets/iconos-svg/info-circle-fill.svg"
        alt="info">
      Revisar que la información este correcta, si no está de acuerdo con los valores volver a simular.
    </p>

    <ion-list lines="none">
      <ion-item>
        <ion-label>Cuenta seleccionada</ion-label>
        <ion-note slot="end">{{ informacionQuery.cuentaSeleccionada.cueNumeroCuentaEnmascarada}}</ion-note>
      </ion-item>

      <ion-item *ngIf="path === 'ahorro-programado'">
        <ion-label>Día débito</ion-label>
        <ion-note slot="end">{{ informacionQuery.simulacion.diaDebito}} de cada mes</ion-note>
      </ion-item>

      <ion-item >
        <ion-label>Monto inicial</ion-label>
        <ion-note slot="end" *ngIf="path === 'plazo-fijo'">{{ informacionQuery.simulacion.monto | currency }}</ion-note>
        <ion-note slot="end" *ngIf="path === 'ahorro-programado'">{{ informacionQuery.simulacion.montoInicial | currency }}</ion-note>
      </ion-item>

      <ion-item *ngIf="path === 'ahorro-programado'">
        <ion-label>Monto débito mensual</ion-label>
        <ion-note slot="end">{{ informacionQuery.simulacion.monto | currency }}</ion-note>
      </ion-item>

      <ion-item *ngIf="path !== 'credito'">
        <ion-label>Monto final</ion-label>
        <ion-note slot="end">{{ informacionQuery.simulacion.montoFinal | currency }}</ion-note>
      </ion-item>

      <ion-item>
        <ion-label>Plazo</ion-label>
        <ion-note slot="end" *ngIf="path === 'plazo-fijo'">{{informacionQuery.simulacion.plazo / 30 }} meses</ion-note>
        <ion-note slot="end" *ngIf="path === 'ahorro-programado'">{{informacionQuery.simulacion.plazo}} meses</ion-note>
      </ion-item>

      <ion-item>
        <ion-label>Tasa</ion-label>
        <ion-note slot="end" *ngIf="path === 'plazo-fijo'">{{informacionQuery.simulacion.tasaNominal}}%</ion-note>
        <ion-note slot="end" *ngIf="path === 'ahorro-programado'">{{informacionQuery.simulacion.interesEfectivo}}%</ion-note>
      </ion-item>

      <ion-item *ngIf="path === 'plazo-fijo'">
        <ion-label>Tipo de capitalización</ion-label>
        <ion-note slot="end">{{ informacionQuery.simulacion.periodicidadTexto }}</ion-note>
      </ion-item>

      <!-- <ion-item lines="none" >
        <ion-label>Validación biométrico</ion-label>
        <ion-note slot="end">$2.80</ion-note>
      </ion-item> -->
    </ion-list>

    <!-- BOTONES -->
    <ion-row>
      <ion-button
        fill="outline"
        class="boton-regresar"
        expand="block"
        (click)="nuevaSimulacion()"
      >
        Nueva simulación
      </ion-button>

      <ion-button
        expand="block"
        (click)="continuar()"
      >
        Continuar
      </ion-button>

    </ion-row>
  </ion-card>
</ion-content>
